SDL_GetRenderDriver(3)

NAME
SDL_GetRenderDriver - Use this function to get the name of a built in 2D rendering driver.

HEADER FILE
Defined in SDL3/SDL_render.h

SYNOPSIS
#include "SDL3/SDL.h"

const char* SDL_GetRenderDriver(int index);

DESCRIPTION
The list of rendering drivers is given in the order that they are normally initialized by default; the drivers that seem more reasonable to choose first (as far as the SDL developers believe) are earlier in the list. The names of drivers are all simple, low-ASCII identifiers, like "opengl", "direct3d12" or "metal". These never have Unicode characters, and are not meant to be proper names. The returned value points to a static, read-only string; do not modify or free it!

FUNCTION PARAMETERS

index
    the index of the rendering driver; the value ranges from 0 to SDL_GetNumRenderDrivers () - 1

RETURN VALUE
Returns the name of the rendering driver at the requested index, or NULL if an invalid index was specified.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_GetNumRenderDrivers(3)